<?php
$seo['title'] = 'Meus Pedidos';
$layout['menudir'] = 'off';
include "topo.php";

Cliente::verificaLogin();
?>

<script>
$(document).ready(function(){
	$("#dados-meus-pedidos22 a").click(function(){
		id = $(this).attr("id");
		
		$.post("public/ajax_carregar_detalhes.php", { id:id }, function(retorno){

			/* limpa div de detalhes */		
			$(".div-detalhes").each(function(){
				$(this).empty();
			});		
			
			$('#detalhes-ajax-produto-'+id).empty();
			$('#detalhes-ajax-produto-'+id).html(retorno);
		});

	})

})
</script>

<div id="titulo-cadastro">MEUS PEDIDOS</div>
<div id="menu-pedido">
	<?php
        include("menupedido.php");
    ?>
</div>
<?php
// carrega pedidos
$lista = Pedido::listar("AND c.id = ".$_SESSION['rz2']['cliente']['id']." ORDER BY p.id DESC LIMIT 7");
if(!$lista){
	?>
	<p class="msgErro">&nbsp;&nbsp;&nbsp;&nbsp;Você não realizou nenhum pedido até o momento</p>
	<?php
}
else{
	?>
    <div id="tabelapedidos">
    	<div id="linha-topo-meus-pedidos">
        	<div id="dados-linha-meus-pedidos">
            	Número do Pedido
            </div>
            <div id="dados-linha-meus-pedidos2">
            	Data
            </div>
            <div id="dados-linha-meus-pedidos2">
            	Status
            </div>
        </div>
        <?php
			foreach($lista as $id => $dados){
		?>
            <div id="linha-produtos-meus-pedidos">
                <div id="dados-meus-pedidos">
                    #<?=$dados['id']?>
                </div>
                <div id="dados-meus-pedidos2">
                    <?=mysql_to_data($dados['dt_cadastro'],false)?>
                </div>
                <div id="dados-meus-pedidos2">
                    <?=$dados['status']?>
                </div>
                <div id="dados-meus-pedidos22">
                <!--<a href="<?=URLRAIZ?>detalhes-do-pedido.php?id=<?=$id?>" id="detalhes-meus-pedidos" title="Ver detalhes do pedido">Detalhes</a>-->
                    <a href="javascript:void()" id="<?=$id?>" title="Ver detalhes do pedido">Detalhes</a>
                </div>
            </div>
             <div id="detalhes-ajax-produto-<?=$id?>" class="div-detalhes">
            </div>  
        <?php
			}
		?>
        
    </div>
    
	<?php
}
?>

<?php include "rodape.php"; ?>